diff -ur vmnet-only.orig/driver.c vmnet-only/driver.c
--- vmnet-only.orig/driver.c	2014-06-13 02:38:25.000000000 +0200
+++ vmnet-only/driver.c	2015-02-21 17:31:22.630656305 +0100
@@ -1236,8 +1236,8 @@
    struct inode *inode = NULL;
    long err;
 
-   if (filp && filp->f_dentry) {
-      inode = filp->f_dentry->d_inode;
+   if (filp && filp->f_path.dentry) {
+      inode = filp->f_path.dentry->d_inode;
    }
    err = VNetFileOpIoctl(inode, filp, iocmd, ioarg);
    return err;
diff -ur vmnet-only.orig/userif.c vmnet-only/userif.c
--- vmnet-only.orig/userif.c	2014-06-13 02:38:25.000000000 +0200
+++ vmnet-only/userif.c	2015-02-21 17:37:46.154589854 +0100
@@ -523,7 +523,10 @@
       .iov_base = buf,
       .iov_len  = len,
    };
-   return skb_copy_datagram_iovec(skb, 0, &iov, len);
+   struct iov_iter to;
+
+   iov_iter_init(&to, READ, &iov, 1, len);
+   return skb_copy_datagram_iter(skb, 0, &to, len);
 }
 
 
